## jack-mixer 19

=== meson_options.txt ===
option('gui',
    type: 'feature',
    value: 'enabled',
    description: 'Enable GUI (disable to only build jack-mix_box)'
)
option('jack-midi',
    type: 'feature',
    value: 'enabled',
    description: 'Enable JACK MIDI support'
)
option('check-py-modules',
    type: 'boolean',
    value: true,
    description: 'Check whether required Python modules are installed'
)
option('verbose',
    type: 'boolean',
    value: false,
    description: 'Turn on debug logging (for development)'
)
option('wheel',
    type: 'boolean',
    value: false,
    description: 'Turn on build mode for creating a Python wheel (should not be used directly)'
)

## jack-mixer 9

=== debian/changelog ===
jack-mixer (9-1build1) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Dec 2010 15:05:12 +0000

jack-mixer (9-1) unstable; urgency=low

  * Initial release (Closes: #511798).

 -- Alessio Treglia <alessio@debian.org>  Tue, 19 Oct 2010 15:16:03 +0200

=== debian/control ===
Source: jack-mixer
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 rosea grammostola <rosea.grammostola@gmail.com>
Build-Depends: cdbs,
 debhelper (>= 7),
 autotools-dev, 
 libjack-dev, 
 python-dev,
 python-support,
 python-gtk2-dev, 
 python-fpconst, 
 libgconf2-dev
Standards-Version: 3.9.1
XS-Python-Version: >= 2.4
Vcs-Git: git://git.debian.org/git/pkg-multimedia/jack-mixer.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jack-mixer.git
Homepage: http://home.gna.org/jackmixer/

Package: jack-mixer
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 jackd,
 python-gtk2,
 python-gobject,
 python-fpconst,
 ${python:Depends}
Recommends: lashd,
 python-lash
Suggests: qjackctl,
 patchage
XB-Python-Version: ${python:Versions}
Description: JACK Audio Mixer
 jack_mixer is an audio mixer for JACK with a look similar to its hardware
 counterparts. Many features are available, here is a short list:
 .
  - Mix any number of input channels (mono or stereo).
  - Control balance and faders with MIDI commands.
  - Handle session management with LASH.
  - Create as many outputs as necessary.
  - Quickly monitor inputs (PFL) and outputs.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

# Add here any variable or target overrides you need.

DEB_INSTALL_CHANGELOGS_ALL := NEWS

binary-install/jack-mixer::
	# Properly rename the application directory
	# Move the executable into the application directory
	# Move gconf schemas files into the proper path
	# ..and finally purge empty /etc directory
	cd $(DEB_DESTDIR) && \
	mv usr/share/jack_mixer usr/share/jack-mixer && \
	mv usr/bin/jack_mixer.py usr/share/jack-mixer/ && \
	mv etc/gconf/schemas/* usr/share/gconf/schemas/ && \
	rm -rf etc
	dh_pysupport

## jack-mixer 10

=== debian/changelog ===
jack-mixer (10-1build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:46:02 +0000

jack-mixer (10-1) unstable; urgency=medium

  * New upstream release.
  * Fix upstream's project name.
  * Drop 0001-edit_channel_names.patch, applied upstream.
  * Bump debhelper up to 9.
  * Refresh debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 04 May 2014 01:08:02 +0100

jack-mixer (9-3) unstable; urgency=low

  * Switch to DH7-pure form, allow jack-mixer to build with all supported
    Python versions.
  * Build with scour for SVG optimizations.
  * debian/control:
    - Bump debhelper build-dep as needed by overrides.

 -- Alessio Treglia <alessio@debian.org>  Fri, 10 Jun 2011 12:21:35 +0200

jack-mixer (9-2) unstable; urgency=low

  * Move to dh_python2:
    - Replace XSPV with XPV.
    - Drop python-support, bump python-all-dev to >= 2.6.6-3~.
    - Drop XBPV.
    - Append --no-guessing-versions to dh_python2 call, we are not
      yet able to build this for all supported versions.
  * Drop lash's stuff from Recommends field.
  * Get rid of unneeded .la files.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 04 May 2011 09:28:29 +0200

=== debian/control ===
Source: jack-mixer
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 rosea grammostola <rosea.grammostola@gmail.com>
Build-Depends:
 autotools-dev,
 debhelper (>= 9~),
 libgconf2-dev,
 libjack-dev,
 python-all-dev (>= 2.6.6-3~),
 python-fpconst,
 python-gtk2-dev,
 python-scour
Standards-Version: 3.9.5
X-Python-Version: >= 2.4
Vcs-Git: git://git.debian.org/git/pkg-multimedia/jack-mixer.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jack-mixer.git
Homepage: http://home.gna.org/jackmixer/

Package: jack-mixer
Architecture: any
Depends:
 jackd,
 python-fpconst,
 python-gobject,
 python-gtk2,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Suggests:
 patchage,
 qjackctl
Description: JACK Audio Mixer
 jack_mixer is an audio mixer for JACK with a look similar to its hardware
 counterparts. Many features are available, here is a short list:
 .
  - Mix any number of input channels (mono or stereo).
  - Control balance and faders with MIDI commands.
  - Handle session management with LASH.
  - Create as many outputs as necessary.
  - Quickly monitor inputs (PFL) and outputs.

=== debian/rules ===
#!/usr/bin/make -f

PYVERS=$(shell pyversions -s)

%:
	dh $@ --parallel --with autotools-dev,python2,scour

override_dh_install:
override_dh_auto_configure:
override_dh_auto_build:
override_dh_auto_install:
	for pyver in $(PYVERS); do \
		PYTHON="$$pyver" ./configure \
			--prefix=/usr \
			--includedir=\${prefix}/include \
			--mandir=\${prefix}/share/man \
			--infodir=\${prefix}/share/info \
			--sysconfdir=/etc \
			--localstatedir=/var \
			--libexecdir=\${prefix}/lib/jack-mixer \
			--disable-dependency-tracking && \
		$(MAKE) && $(MAKE) install \
			DESTDIR=$(CURDIR)/debian/jack-mixer && \
		$(MAKE) clean ; \
	done
	dh_install
	# Properly rename the application directory
	# Move the executable into the application directory
	# Move gconf schemas files into the proper path
	# ..and finally purge empty /etc directory
	cd debian/jack-mixer && \
	mv usr/share/jack_mixer usr/share/jack-mixer && \
	mv usr/bin/jack_mixer.py usr/share/jack-mixer/ && \
	mv etc/gconf/schemas/* usr/share/gconf/schemas/ && \
	rm -rf etc && \
	find -type f -name '*.la' -delete

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
http://download.gna.org/jackmixer/jack_mixer-(.*)\.tar\.gz

## jack-mixer 13

=== debian/changelog ===
jack-mixer (13-0ubuntu2) groovy; urgency=medium

  * d/control: Remove gir1.2-gconf-2.0 dependency (LP: #1771041)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 19 Aug 2020 09:14:49 -0700

jack-mixer (13-0ubuntu1) groovy; urgency=medium

  * New upstream release 13
  * Point VCS and Homepage to new locations

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 11 Aug 2020 11:45:21 -0700

jack-mixer (12-0ubuntu1) groovy; urgency=medium

  * New upstream release 12
  * Add lintian-overrides
  * Add self to copyright
  * Remove unnecessary patches

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Tue, 23 Jun 2020 13:41:54 -0700

jack-mixer (11-0ubuntu1) groovy; urgency=medium

  * New upstream release 
    - Uses Python 3 and GTK 3

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Mon, 22 Jun 2020 18:56:52 -0700

=== debian/control ===
Source: jack-mixer
Section: sound
Priority: optional
Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Build-Depends:
 autotools-dev,
 debhelper-compat (= 13),
 python-gi-dev,
 libjack-jackd2-dev,
 python3-dev,
 python3-cairo-dev
Standards-Version: 4.5.0
Vcs-Git: https://github.com/jack-mixer/jack_mixer
Vcs-Browser: https://github.com/jack-mixer/jack_mixer
Homepage: https://rdio.space/jackmixer/

Package: jack-mixer
Architecture: any
Depends:
 jackd2,
 python3-gi,
 python3,
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 patchage,
 qjackctl
Description: JACK Audio Mixer
 jack_mixer is an audio mixer for JACK with a look similar to its hardware
 counterparts. Many features are available, here is a short list:
 .
  - Mix any number of input channels (mono or stereo).
  - Control balance and faders with MIDI commands.
  - Handle session management with LASH.
  - Create as many outputs as necessary.
  - Quickly monitor inputs (PFL) and outputs.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_autoreconf:
	./autogen.sh
	./configure
override_dh_auto_test:
override_dh_auto_install:
	dh_auto_install
	# Properly rename the application directory
	# Move the executable into the application directory
	# Move gconf schemas files into the proper path
	# ..and finally purge empty /etc directory
	cd debian/jack-mixer && \
	mv usr/share/jack_mixer usr/share/jack-mixer && \
	mv usr/bin/jack_mixer.py usr/share/jack-mixer/ && \
	mkdir -p usr/lib/python3/dist-packages && \
	mv usr/lib/python3.8/site-packages/jack_mixer_c.so usr/lib/python3/dist-packages/ && \
	rm -rf usr/lib/python3.8 && \
	find -type f -name '*.la' -delete

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## jack-mixer 15-1

=== debian/changelog ===
jack-mixer (15-1-0ubuntu1) hirsute; urgency=medium

  * New upstream release 15-1
    - Fixed channel volume levels to not be restored when loading 
      a project XML file.
    - Fixed: The Channel.autoset_*_midi_cc methods in the Cython extension 
      module didn't return the int result from the C functions they call, 
      causing mis-leading debug log messages.

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 18 Mar 2021 09:10:31 -0700

jack-mixer (15-0ubuntu4) hirsute; urgency=medium

  * Fix for d/rules directory error

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 27 Feb 2021 09:42:38 -0800

jack-mixer (15-0ubuntu3) hirsute; urgency=medium

  * Fix for install directory issue

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 27 Feb 2021 09:27:19 -0800

jack-mixer (15-0ubuntu2) hirsute; urgency=medium

  * Fix for missing executable
  * Include linuxaudio-new-session-manager as suggests
  * Make sure application is installed to proper directory

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 27 Feb 2021 07:29:32 -0800

jack-mixer (15-0ubuntu1) hirsute; urgency=medium

  * New upstream release
  * d/control: updated copyright 
  * New:
    - A global setting for default project file path was added and can be
      changed in the preference dialog.
    - The default value is $XDG_DATA_HOME/jack_mixer (which is normally
      ~/.local/share/jack_mixer).
    - A "Recent projects" menu was added, to allow loading recently used /
      saved projects more quickly.
    - Direct channel output ports are now optional and can be enabled/disabled
      in the channel preferences dialog.
    - Ctrl+left-click on the mute ("M") or solo ("S") channel buttons now\
      activates exclusive mute resp. solo.
    - A man page for jack_mixer was added.
    - jack_mix_boxnow supports the -p|--pickup command line option to enable
      MIDI pickup mode, to prevent sudden volume or balance value jumps.
  * Fixed: 
    - Activating the solo function on an input channel could cause its
      output signal be sent to the monitor outputs instead of the signal
      from the channel, which had monitoring activated.
    - Volume and balance level and mute and solo state changes originating from
      the UI now send the correct assigned MIDI CCs, allowing for MIDI feedback
      to controllers. Same for changes originating from reception of assigend
      MIDI CCs.
    - The handler for right-clicking the input channel mute/solo buttons, was
      accidentally removed and is now re-instated.
    - Creating a new output channel assigns it a randomly chosen color, 
      which can be changed in the new channel dialog (used to work
      some releases ago, but was broken at some point).
    - The jack_mix_box command line options --help and --stereo
      erroneously required an argument.
    - Saving the current project on reception of the SIGUSR1 signal, which is a
      requirement for LADISH level L1 support, was broken in version 14.
    - When re-ording channels via drag-and-drop, the order of the edit / remove
      channel menu items were not updated.
    - When creating an output channel, it could happen that the initial channel
      volume would ranmdomly be set to -inf or 0 dB, regardless of what was
      selected in new channel dialog.
  * Changed:
    - The minimum supported Python version is now 3.6.
    - The jack_mix_box command line usage help message was improved.
    - The channel strip buttons (solo, mute, etc.) now have more distinctive
      colors when activated or the mouse hovers over them
    - The balance slider step size was increased slightly so right-clicking the
      slider changes the value more rapidly.
    - When using the "Save as..." function, jack_mixer now sets the default
      filename and directory for file chooser to the last ones used.
    - A window title was added to the preferences dialog.
    - MIDI control for mute and solo now interprets control value 0-63 as off
    - and 64-127 as on, instead of toggling the state on reception of any
    - controller value.
  * Project infrastructure and internals:
    - The jack_mixer_c Python extension module, which was originally
      implemented in hand-written C code using the PYTHON C API, was replaced
      with the _jack_mixer extension module implemented in Cython, which
      generates the C code in _jack_mixer.c.
    - The autotools build toolchain was replaced with a build setup using
      meson, which improves build times and maintainability markedly.
      See the file INSTALL.md for updated build and installation instructions.
    - A build option to allow buidling only jack_mix_box was added
      (-Dgui=disabled).
    - All Python code was re-formatted with black.
    - All errors and warings reported by flake8 were fixed or are expressivley
      and selectively ignored.
    - The file version.py is now generated from the version set in the project
      definition in the top-level meson.build file, leaving this as the only
      place where the version number needs to be updated before a release.
      The NEWS file was renamed to CHANGELOG.md and converted to Markdown
      format.

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 25 Feb 2021 10:37:29 -0800

jack-mixer (14-0ubuntu1) hirsute; urgency=medium

  * New upstream release
  * Changes to channel fader/meter layout and features:
    - Added K20 and K14 scales.
    - Added tick marks for left/center/right on balance slider and add tooltip
      displaying left/right value.
    - Added maximum width for control group labels. Labels are ellipsized if
      too long and a tooltip with the full name is added.
  * Channel add/property dialogs usability improvements:
    - Remember last used settings for new input/outut channel dialogs (MIDI CCs
      are always initialized with -1 by default, so they can be auto-assigned).
    - Channel name is pre-filled in with "Input" or "output" and an auto-
      incremented number suffix.


=== debian/control ===
--- 
+++ 
@@ -5,11 +5,16 @@
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Build-Depends:
  autotools-dev,
+ cython3,
  debhelper-compat (= 13),
+ python3-docutils,
+ meson,
+ ninja-build,
  python-gi-dev,
  libjack-jackd2-dev,
  python3-dev,
- python3-cairo-dev
+ python3-cairo-dev,
+ python3-xdg
 Standards-Version: 4.5.0
 Vcs-Git: https://github.com/jack-mixer/jack_mixer
 Vcs-Browser: https://github.com/jack-mixer/jack_mixer
@@ -24,8 +29,10 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests:
- patchage,
- qjackctl
+ qjackctl,
+ studio-controls,
+ carla,
+ linuxaudio-new-session-manager
 Description: JACK Audio Mixer
  jack_mixer is an audio mixer for JACK with a look similar to its hardware
  counterparts. Many features are available, here is a short list:

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=meson

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install
	mv debian/jack-mixer/usr/lib/python3.*/site-packages/jack_mixer \
	   debian/jack-mixer/usr/lib/python3.*/ && \
	rm -r debian/jack-mixer/usr/lib/python3.*/site-packages

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

## jack-mixer 16

=== debian/changelog ===
jack-mixer (16-0ubuntu2) impish; urgency=medium

  * Add patch to make build possible

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 19 May 2021 15:10:05 -0700

jack-mixer (16-0ubuntu1) impish; urgency=medium

  * Removed manpage and lintian warning, upsream now provides manpage
  * New Features:
    - Internationalization (i18n) support was added, making GUI labels
      and messages and the command line help translatable.
    - A German translation was added.
    - A French translation was added.
    - A global language setting was added to the preferences.
    - French and German translations of the application description were
      added to the XDG desktop file.
  * Fixed:
    - Some global settings where not properly persisted in the settings
      file when changed in the preferences dialog.
    - Selecting a custom default project path in the preferences dialog
      via folder selection widget did not update the path in the text entry.
    - The message formatting in error dialogs was corrected and when an
      error dialog is shown, the error message printed to the console now
      only contains a Python traceback when the debug option is active.
    - Various debug log messages received minor fixes and improvements.
  * Documentation:
    - A man page for jack_mix_box was added.
    - A new contributing guide was added to repository.
    - The section on environment variables in jack_mixer's man page was
      updated and enhanced.
    - The NSM project URL was updated in various documents. 

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 19 May 2021 10:37:39 -0700

## jack-mixer 17

=== debian/changelog ===
jack-mixer (17-2) unstable; urgency=medium

  * Team upload.
  * Update cython build-depends to cython3

 -- Scott Kitterman <scott@kitterman.com>  Wed, 15 Dec 2021 22:21:22 -0500

jack-mixer (17-1) unstable; urgency=medium

  * New upstream version 17
  * Correct long package description to use application (Closes: #997093)
  * Bump Standards-Version to 4.6.0 (no change)
  * Remove d/rules boilerplate
  * Drop patches fixed upstream
  * Add new build-dependencies
  * Remove old lintian-overrides

 -- Kyle Robbertze <paddatrapper@debian.org>  Mon, 22 Nov 2021 12:22:37 +0200

jack-mixer (16-1) unstable; urgency=low

  * Initial release (Closes: #989117)

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 25 May 2021 11:18:50 +0200

=== debian/control ===
Source: jack-mixer
Section: sound
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Kyle Robbertze <paddatrapper@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               cython3,
               libjack-jackd2-dev,
               libglib2.0-dev,
               meson,
               python3-cairo,
               python3-dev,
               python3-docutils,
               python3-all,
               python3-gi,
               python3-setuptools,
               python3-xdg
Standards-Version: 4.6.0
Homepage: https://rdio.space/jackmixer/
Vcs-Browser: https://salsa.debian.org/python-team/packages/jack-mixer
Vcs-Git: https://salsa.debian.org/python-team/packages/jack-mixer.git
#Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: jack-mixer
Architecture: any
Depends: jackd2, ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
Description: GTK+ JACK audio mixer application (Python 3)
 Jack Audio Mixer provides a GTK+ GUI to mix JACK audio
 streams. It maintains the appearance of a hardware audio
 mixing desk. It can set levels, balance, mute, etc through
 the interface or via MIDI.
 .
 This package installs the application for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=jack-mixer

%:
	dh $@ --with python3 --buildsystem=meson

## jack-mixer 18

=== debian/changelog ===
jack-mixer (18-2) unstable; urgency=medium

  * Add missing Depends on python3-appdirs (Closes: #1056662)
  * Bump Standards-Version to 4.7.0 (no change)

 -- Kyle Robbertze <paddatrapper@debian.org>  Mon, 08 Apr 2024 23:18:24 +0100

jack-mixer (18-1) unstable; urgency=medium

  * New upstream version 18
  * Bump Standards-Version to 4.6.2 (no change)
  * Add new build-dep on python3-appdirs

 -- Kyle Robbertze <paddatrapper@debian.org>  Thu, 23 Nov 2023 11:45:18 +0000

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                libjack-jackd2-dev,
                libglib2.0-dev,
                meson,
+               python3-appdirs,
                python3-cairo,
                python3-dev,
                python3-docutils,
@@ -16,7 +17,7 @@
                python3-gi,
                python3-setuptools,
                python3-xdg
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://rdio.space/jackmixer/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/jack-mixer
 Vcs-Git: https://salsa.debian.org/python-team/packages/jack-mixer.git
@@ -25,7 +26,11 @@
 
 Package: jack-mixer
 Architecture: any
-Depends: jackd2, ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
+Depends: jackd2,
+         python3-appdirs,
+         ${shlibs:Depends},
+         ${python3:Depends},
+         ${misc:Depends}
 Description: GTK+ JACK audio mixer application (Python 3)
  Jack Audio Mixer provides a GTK+ GUI to mix JACK audio
  streams. It maintains the appearance of a hardware audio

## jack-mixer 18+git20240504

=== debian/changelog ===
jack-mixer (18+git20240504-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
    + Replace appdirs with platformdirs. (Closes: #1067970)
  * debian/control:
    + Add missing dependency on python3-gi, python3-cairo. (Closes: #1069158)
    + Add missing dependency on gir1.2-gtk-3.0.

 -- Boyuan Yang <byang@debian.org>  Thu, 11 Jul 2024 18:39:10 -0400

## jack-mixer 19

=== debian/changelog ===
jack-mixer (19-1build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:05:00 +0100

jack-mixer (19-1) unstable; urgency=medium

  * New upstream version 19

 -- Kyle Robbertze <paddatrapper@debian.org>  Mon, 15 Jul 2024 13:16:30 +0100

=== debian/control ===
Source: jack-mixer
Section: sound
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Kyle Robbertze <paddatrapper@debian.org>,
Build-Depends:
 cython3,
 debhelper-compat (= 13),
 dh-sequence-python3,
 libglib2.0-dev,
 libjack-jackd2-dev,
 meson,
 python3-all,
 python3-platformdirs,
 python3-cairo,
 python3-dev,
 python3-docutils,
 python3-gi,
 python3-setuptools,
 python3-xdg,
Standards-Version: 4.7.0
Homepage: https://rdio.space/jackmixer/
Vcs-Browser: https://salsa.debian.org/python-team/packages/jack-mixer
Vcs-Git: https://salsa.debian.org/python-team/packages/jack-mixer.git
#Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: jack-mixer
Architecture: any
Depends:
 jackd2,
 python3-cairo,
 python3-platformdirs,
 python3-gi,
 gir1.2-gtk-3.0,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: GTK+ JACK audio mixer application (Python 3)
 Jack Audio Mixer provides a GTK+ GUI to mix JACK audio
 streams. It maintains the appearance of a hardware audio
 mixing desk. It can set levels, balance, mute, etc through
 the interface or via MIDI.
 .
 This package installs the application for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=jack-mixer

%:
	dh $@ --buildsystem=meson
